<?php include 'config.php'; ?>
<!DOCTYPE html>
<html>
<head>
	<title><?php $user ?> Home Page</title>
</head>
<body>

<?php

// is user is not logged in give him a link to login page
if (is_logged() === false) {
    die("You are not logged in, <a href='login.php'>Click here to login.</a>");
}

$user = $_SESSION["user"];
$email = $_SESSION["user"];

/*
*	Type specification chars
*	Character	Description
*	i	corresponding variable has type integer
*	d	corresponding variable has type double
*	s	corresponding variable has type string
*	b	corresponding variable is a blob and will be sent in packets
*/
 
$stmt = mysqli_prepare($conn, "SELECT * FROM users WHERE Usernames = ? OR Emails = ?");
mysqli_stmt_bind_param($stmt, 'ss', $user, $email);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt);

while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) { 

	$id = $row["id"];
	$username = $row["Usernames"];
	$forename = $row["Forenames"];
	$surname = $row["Surnames"];
	$email = $row["Emails"];
	$gender = $row["Genders"];
    
?>	

<h2 style="text-align:center;">Welcome <strong><?php echo htmlspecialchars($forename) . ' ' . htmlspecialchars($surname); ?></strong></h2>

<p><a href="logout.php">Logout</a></p>
<p>Username : <?php echo htmlspecialchars($user); ?></p>
<p>Email : <?php echo htmlspecialchars($email); ?></p>
<p>Gender : <?php echo htmlspecialchars(ucfirst($gender)); ?></p>

<?php } ?>

</body>
</html>